Bug 45114 - xfig does not export to eps when i18n set
Summary: xfig does not export to eps when i18n set
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xfig (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-20 10:54 UTC by Sarantis Paskalis
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-26 07:52:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sarantis Paskalis 2001-06-20 10:54:29 UTC
Description of Problem:

When I try to export a fig picture to eps format, an error window pops with
the message:

Error during EXPORT.  Messages:
 fig2dev: can't open file: /usr/X11R6/lib/X11/fig2dev/en_US.ps

I obviously have LANG=en_US (and LC_CTYPE=el_GR if that matters).
The default /usr/X11R6/lib/X11/app-defaults/Fig file contains the following
lines
! If xfig is compiled with I18N option, you may want to uncomment following
line.
!
Fig.international: true

! Note that you shouldn't remove the following "Fig*international: false".
! It must be there to cancel any *international: true that may defined via
xrdb.! This can cause problems on xfig even if the i18n facility is used.

Fig*international: false

! Uncomment following lines if you use i18n text.

When I comment out the first line (the Fig.international true), I can
export again to eps format from .fig.


How Reproducible:

Every time.


Steps to Reproduce:
1. Open up a fig picture with xfig
2. Select File->Export->ok (the eps format is the default)
3. the error message appears.

Actual Results:
No eps figure produced

Expected Results:
An eps figure should have been produced

Additional Information:

Comment 1 Ngo Than 2001-06-25 08:18:38 UTC
It's fixed in xfig-3.2.3d-1. You find it in rawhide

Comment 2 Sarantis Paskalis 2001-06-26 07:52:12 UTC
It is still there with xfig-3.2.3d-1, transfig-3.2.3d-1.
Can be worked around the same way.


Comment 3 Ngo Than 2001-07-03 16:27:49 UTC
It's fixed in 3.2.3d-2. You will find it in rawhide


Note You need to log in before you can comment on or make changes to this bug.